from cardsharp.common.actor import SimplePlayer


class RoulettePlayer(SimplePlayer):
    """
    A roulette player, extending from the SimplePlayer class which is derived from Actor.
    This class is tailored for the roulette game.
    """

    def __init__(self, name, io_interface, initial_money=1000):
        super().__init__(name, io_interface, initial_money)

    def place_bet(self, amount, bet_number):
        """
        Place a bet in the roulette game.
        :param amount: The amount to bet.
        :param bet_number: The number on which to bet.
        :return: Boolean indicating if the bet was successfully placed.
        """
        if amount <= self.money:
            self.money -= amount
            return True
        else:
            return False

    def decide_bet(self):
        """
        Decide the amount and number to bet on.
        This method should be overridden or modified for different betting strategies.
        :return: Tuple of (bet_amount, bet_number).
        """
        # Placeholder logic for betting decision
        return (10, 1)  # Example: Bet $10 on number 1
